package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_administrative_divisions
 *
 * @author ruoyi
 * @date 2023-09-20
 */
public class TAdministrativeDivisions extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域代码
     */
    @Excel(name = "区域代码")
    private Long code;

    /**
     * 区域名称
     */
    @Excel(name = "区域名称")
    private String name;

    /**
     * 乡级代码（镇）
     */
    @Excel(name = "乡级代码", readConverterExp = "镇=")
    private Long streetCode;

    /**
     * 县级代码（区）
     */
    @Excel(name = "县级代码", readConverterExp = "区=")
    private Long areaCode;

    /**
     * 地级代码（市）
     */
    @Excel(name = "地级代码", readConverterExp = "市=")
    private Long cityCode;

    /**
     * 省级代码
     */
    @Excel(name = "省级代码")
    private Long provinceCode;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCode(Long code) {
        this.code = code;
    }

    public Long getCode() {
        return code;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setStreetCode(Long streetCode) {
        this.streetCode = streetCode;
    }

    public Long getStreetCode() {
        return streetCode;
    }

    public void setAreaCode(Long areaCode) {
        this.areaCode = areaCode;
    }

    public Long getAreaCode() {
        return areaCode;
    }

    public void setCityCode(Long cityCode) {
        this.cityCode = cityCode;
    }

    public Long getCityCode() {
        return cityCode;
    }

    public void setProvinceCode(Long provinceCode) {
        this.provinceCode = provinceCode;
    }

    public Long getProvinceCode() {
        return provinceCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("code", getCode())
                .append("name", getName())
                .append("streetCode", getStreetCode())
                .append("areaCode", getAreaCode())
                .append("cityCode", getCityCode())
                .append("provinceCode", getProvinceCode())
                .toString();
    }
}
